%define upstream_name    Glib
%define upstream_version 1.230

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary: Perl module for the glib-2.x library
License: GPL+ or Artistic
Group:   Development/GNOME and GTK+
Url:     http://gtk2-perl.sf.net/
# https://sourceforge.net/project/showfiles.php?group_id=64773&package_id=91217
Source0: http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
# BUG: we do not hanble exceptions out of Gtk2->main loop
# we should just horribly die in that case
Patch0: Glib-1.210-exception-trapping.patch
Patch1: Glib-1.230-fix-bootstrap.diff

BuildRequires: glib2-devel >= 2.6.0
BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl-devel



Conflicts: perl-Gtk2 <= 1
Requires:  glib2 => 2.28.0

%description
This module provides perl access to Glib and GLib's GObject libraries.
It is mainly used by perl-GTK2 applications.

Glib is a handy library of portability and utility functions. This C library
is designed to solve some portability problems and provide other useful
functionality which most programs require.

GObject provides a generic type system with inheritance and a powerful signal
system.

Together these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.


%package doc
Summary: Glib documentation
Group: Books/Computer books
BuildArch: noarch

%description doc
This package contains documentation of the Glib module.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0 -b .ex
%patch1 -p1 -b .bs
find -type d -name CVS | rm -rf 


%build
perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
# disabled due to long time faillures
#%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE META.yml
%dir %{perl_vendorarch}/%{upstream_name}/
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%defattr(-, root, root)
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod


%changelog
* Thu May 26 2011 ennael <ennael> 1.230.0-8.mga1
+ Revision: 100520
- update glib2 version require (#1432)

* Fri Jan 21 2011 jquelin <jquelin> 1.230.0-7.mga1
+ Revision: 30485
- mageia rebuild
- imported package perl-Glib


* Tue Aug 31 2010 Thierry Vignaud <tv@mandriva.org> 1.230.0-7mdv2011.0
+ Revision: 574925
- let the doc subpackage be noarch

* Wed Aug 04 2010 Thierry Vignaud <tv@mandriva.org> 1.230.0-6mdv2011.0
+ Revision: 565899
- patch 1: fix build without perl-GLib

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.230.0-5mdv2011.0
+ Revision: 564475
- rebuild for perl 5.12.1

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 1.230.0-4mdv2011.0
+ Revision: 556325
- do not require pkg perl-Glib during its own build!
- rebuild for perl 5.12

  + Thierry Vignaud <tv@mandriva.org>
    - temporary BuildRequires perl-Glib in order to fix build
    - new release

  + Sandro Cazzaniga <kharec@mandriva.org>
    - rebuild

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.223.0-1mdv2011.0
+ Revision: 553129
- update to 1.223

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.222-1mdv2010.1
+ Revision: 392986
- update to new version 1.222

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.221-1mdv2010.0
+ Revision: 370126
- update to new version 1.221

* Wed Mar 18 2009 Thierry Vignaud <tv@mandriva.org> 1.220-1mdv2009.1
+ Revision: 357186
- new release (no change, just tagged as stable)

* Wed Mar 11 2009 Thierry Vignaud <tv@mandriva.org> 1.214-1mdv2009.1
+ Revision: 353612
- new release

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 1.213-1mdv2009.1
+ Revision: 340886
- new release

* Sun Feb 08 2009 Thierry Vignaud <tv@mandriva.org> 1.212-1mdv2009.1
+ Revision: 338629
- new release

* Fri Jan 16 2009 Thierry Vignaud <tv@mandriva.org> 1.211-1mdv2009.1
+ Revision: 330286
- temporary disable Werror_cflags
- rediff patches for new rpm
- new release
- new release

* Sat Sep 20 2008 Thierry Vignaud <tv@mandriva.org> 1.200-1mdv2009.0
+ Revision: 286092
- new release (no changes, just tagged as stable)

* Mon Sep 08 2008 Thierry Vignaud <tv@mandriva.org> 1.193-1mdv2009.0
+ Revision: 282631
- new release
- new release
- new release

* Sat Jul 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.190-1mdv2009.0
+ Revision: 231999
- update to new version 1.190

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.183-1mdv2009.0
+ Revision: 214512
- update to new version 1.183

* Tue Apr 15 2008 Thierry Vignaud <tv@mandriva.org> 1.182-2mdv2009.0
+ Revision: 194017
- bump require on ExtUtils::Depends
- new release

* Mon Mar 10 2008 Thierry Vignaud <tv@mandriva.org> 1.180-1mdv2008.1
+ Revision: 183823
- new release

* Tue Feb 26 2008 Thierry Vignaud <tv@mandriva.org> 1.174-1mdv2008.1
+ Revision: 175186
- new release

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.173-1mdv2008.1
+ Revision: 166533
- new release

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.172-2mdv2008.1
+ Revision: 151254
- rebuild for perl-5.10.0

* Thu Jan 10 2008 Thierry Vignaud <tv@mandriva.org> 1.172-1mdv2008.1
+ Revision: 147562
- new release (perl 5.10.0 ready)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 1.171-1mdv2008.1
+ Revision: 132391
- new release
- kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Thierry Vignaud <tv@mandriva.org> 1.170-1mdv2008.1
+ Revision: 104186
- new release

* Mon Oct 15 2007 Thierry Vignaud <tv@mandriva.org> 1.161-1mdv2008.1
+ Revision: 98586
- new release

* Tue Sep 25 2007 Thierry Vignaud <tv@mandriva.org> 1.160-1mdv2008.0
+ Revision: 92702
- new release (no change, just tagged as stable)

* Mon Aug 13 2007 Thierry Vignaud <tv@mandriva.org> 1.153-1mdv2008.0
+ Revision: 62751
- new release

* Mon Jul 30 2007 Thierry Vignaud <tv@mandriva.org> 1.152-1mdv2008.0
+ Revision: 56551
- new release

* Mon Jun 25 2007 Thierry Vignaud <tv@mandriva.org> 1.151-1mdv2008.0
+ Revision: 44012
- new release


* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-2mdv2007.1
+ Revision: 146880
- split out doc

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-1mdv2007.1
+ Revision: 126590
- new release

* Mon Feb 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.143-1mdv2007.1
+ Revision: 122773
- new release

* Tue Dec 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.142-1mdv2007.1
+ Revision: 91066
- new release

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.141-1mdv2007.1
+ Revision: 86820
- Import perl-Glib

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.141-1mdv2007.1
- new release

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.140-1mdv2007.0
- new release

* Fri Aug 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.132-1mdv2007.0
- new release

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.131-1mdv2007.0
- new release

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.120-1mdk
- new release

* Wed Mar 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.117-1mdk
- new release

* Tue Feb 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.116-1mdk
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.115-1mdk
- new release

* Tue Jan 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.114-1mdk
- new release
- drop patch 0 (merged upstream)

* Wed Jan 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.113-2mdk
- Patch1: avoid nasty pointer to int cast on x86_64

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-1mdk
- new release

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.111-1mdk
- new release

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.101-1mdk
- New release 1.101

* Sun Oct 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.100-1mdk
- new release

* Fri Jun 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.082-1mdk
- new release

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.081-1mdk
- new release

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.080-1mdk
- new stable release

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.074-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.073-1mdk
- new release

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.072-1mdk
- new release

* Thu Dec 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-2mdk
- rebuild for new glib

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-1mdk
- new release

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.070-2mdk
- Rebuild for new perl

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.070-1mdk
- new release

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.054-1mdk
- new release

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.053-1mdk
- new release

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.052-1mdk
- new release

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.051-1mdk
- new release

* Fri Jun 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.050-1mdk
- new release

* Thu May 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-2mdk
- bump requires

* Wed Apr 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-1mdk
- new release

* Sat Apr 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.041-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-2mdk
- link with glib-2.4.x

* Wed Mar 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-1mdk
- new release

